{% extends "layout.html" %}
{% block title %}Pi Relays{% endblock %}
{% block section %}Pi Relays{% endblock %}
{% block content %}
  <!-- Default box -->
    <div class="row">
      <div class="col-md-6 col-md-offset-1">
        <div class="box">
          <div class="box-header with-border">
            <h3 class="box-title">Relays Log</h3>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <div class="table-responsive">
              <table class="table no-margin">
                <thead>
                <tr>
                  <th></th>
                  <th>Timestamp</th>
                  <th>Status</th>
                  <th>Pin</th>
                  <th>Source</th>
                </tr>
                </thead>
                <tbody>
                {% for item in log %}
                    <tr>
                      <td>{{ item.id }}</td>
                      <td>{{ moment(item.timestamp).format('LLL') }}</td>
                      {% if item.status == '1' %}
                        <td>Turn On</td>
                      {% else %}
                        <td>Turn Off</td>
                      {% endif %}
                      <td>{{ item.pin}}</td>
                      <td>{{ item.source }}</td>
                    </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
            <!-- /.table-responsive -->
          </div>
          <!-- /.box-body -->
        </div>
      </div>
      <div class="col-md-4">
        <div class="box">
          <div class="box-header with-border">
            <h3 class="box-title">Pi Relays</h3>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <div class="table-responsive">
              <table class="table no-margin">
                <thead>
                <tr>
                  <th>Relay</th>
                  <th>Pin</th>
                  <th>Status</th>
                </tr>
                </thead>
                <tbody>
                {% for relay in relays %}
                    <tr>
                    {% for key in relay.keys() %}
                      <td>{{ key }}</td>
                      <td>{{ relay[key]['pin'] }}</td>
                      <td></td>
                    {% endfor %}
                    </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
            <!-- /.table-responsive -->
          </div>
          <!-- /.box-body -->
        </div>
      </div>
    </div>
{% endblock %}
